import request from '@/utils/request'

// 查询需求清单列表
export function listRequire(query) {
  return request({
    url: '/system/require/list',
    method: 'get',
    params: query
  })
}

// 查询需求清单详细
export function getRequire(id) {
  return request({
    url: '/system/require/' + id,
    method: 'get'
  })
}

// 新增需求清单
export function addRequire(data) {
  return request({
    url: '/system/require',
    method: 'post',
    data: data
  })
}

// 修改需求清单
export function updateRequire(data) {
  return request({
    url: '/system/require',
    method: 'put',
    data: data
  })
}

// 删除需求清单
export function delRequire(id) {
  return request({
    url: '/system/require/' + id,
    method: 'delete'
  })
}
export function delRequires(ids) {
    return request({
        url: '/system/require/remove',
        method: 'delete',
        data: ids
    })
}
